LibreOffice: StyleFamilies Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
StyleFamilies Service Referencepublished

This service contains the collection of style families within the container document. More...

`import"StyleFamilies.idl";`

Inheritance diagram for StyleFamilies:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| This mandatory interface makes it possible to get access to the style families by their names. More...
interface | com::sun::star::container::XIndexAccess
| This optional interface makes it possible to get access to the style families by index. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

This service contains the collection of style families within the container document.

Examples of style families may be:

CharacterStyles

  the container of style sheets for sequences of characters within a text

ParagraphStyles

  the container of style sheets for text paragraphs

FrameStyles

  the container of style sheets for text frames

PageStyles

  the container of style sheets for pages

NumberingStyles

  the container for style sheets for numbering

CellStyles

  the container for style sheets for cells

ShapeStyles
  the container for style sheets for shapes

Developers Guide
  Text - Overall Document Features - Styles

## Exported Interfaces

interface com::sun::star::container::XIndexAccess
| optional

This optional interface makes it possible to get access to the style families by index.

The elements within this collection are StyleFamily instances.

interface com::sun::star::container::XNameAccess

This mandatory interface makes it possible to get access to the style families by their names.

The elements within this collection are StyleFamily instances.

The documentation for this service was generated from the following file:

- com/sun/star/style/StyleFamilies.idl